# mt_allocator.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file mt_allocator.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Classes

- struct __gnu_cxx::__common_pool< _PoolTp, _Thread >
- struct __gnu_cxx::__common_pool_base< _PoolTp, false >
- struct __gnu_cxx::__common_pool_base< _PoolTp, true >
- struct __gnu_cxx::__common_pool_policy< _PoolTp, _Thread >
    Policy for shared __pool objects. More...
- struct __gnu_cxx::__common_pool_policy< _PoolTp, _Thread >::_M_rebind< _Tp1, _PoolTp1, _Thread1 >
- class __gnu_cxx::__mt_alloc< _Tp, _Poolp >
    This is a fixed size (power of 2) allocator which - when compiled with thread support - will maintain one freelist per size per thread plus a "global" one. Steps are taken to limit the per thread freelist sizes (by returning excess back to the "global" list). More...
- struct __gnu_cxx::__mt_alloc< _Tp, _Poolp >::rebind< _Tp1, _Poolp1 >
- class __gnu_cxx::__mt_alloc_base< _Tp >
    Base class for _Tp dependent member functions. More...
- struct __gnu_cxx::__per_type_pool< _Tp, _PoolTp, _Thread >
- struct __gnu_cxx::__per_type_pool_base< _Tp, _PoolTp, false >
- struct __gnu_cxx::__per_type_pool_base< _Tp, _PoolTp, true >
- struct __gnu_cxx::__per_type_pool_policy< _Tp, _PoolTp, _Thread >
    Policy for individual __pool objects. More...
- struct __gnu_cxx::__per_type_pool_policy< _Tp, _PoolTp, _Thread >::_M_rebind< _Tp1, _PoolTp1, _Thread1 >
- class __gnu_cxx::__pool< false >
    Specialization for single thread. More...
- struct __gnu_cxx::__pool< false >::_Bin_record
- union __gnu_cxx::__pool< false >::_Block_record
- class __gnu_cxx::__pool< true >
    Specialization for thread enabled, via gthreads.h. More...
- struct __gnu_cxx::__pool< true >::_Bin_record
- union __gnu_cxx::__pool< true >::_Block_record
- struct __gnu_cxx::__pool< true >::_Thread_record
- struct __gnu_cxx::__pool_base
    Base class for pool object. More...
- struct __gnu_cxx::__pool_base::_Block_address
- struct __gnu_cxx::__pool_base::_Tune

## Defines

- #define __thread_default
- #define _MT_ALLOCATOR_H

## Typedefs

- typedef void(*) __gnu_cxx::__destroy_handler (void *)

## Functions

- template<typename _Tp, typename _Poolp> bool __gnu_cxx::operator!= (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)
- template<typename _Tp, typename _Poolp> bool __gnu_cxx::operator== (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)